<ion-header [translucent]="true">
  <ion-toolbar color ="danger">
    <ion-title>
     <h4>Room List</h4>
    </ion-title>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button icon-only (click)="addRoom()">Add</ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list no-lines>
 
    <ion-item-sliding *ngFor="let room of rooms">

      <ion-item>
        <ion-label class="ion-padding" text-wrap>
          <h2><ion-icon name="newspaper-outline" color="danger"></ion-icon><b> Block Name: </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{room.block}}</h2>
          <h2><ion-icon name="logo-linkedin" color="danger"></ion-icon><b> Room Number: </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{room.roomno}}</h2>
          <h2><ion-icon name="help-outline" color="danger"></ion-icon><b> Room Type: </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{room.roomtype}}</h2>
          <h2><ion-icon name="logo-usd" color="danger"></ion-icon><b> Rental(RM per day): </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{room.rentalrate}}</h2>
          <h2><ion-icon name="person-outline" color="danger"></ion-icon><b> Student (Resident): </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{room.student}}</h2>
         </ion-label>
         <div class="item-note" item-end>
          <ion-button fill="clear" color="danger" [routerLink]="['../edit-room/', room._id]">
            <ion-icon name="create" style="zoom:1.5"></ion-icon>
          </ion-button>
        </div>
       </ion-item>
       <ion-item-options>
        <ion-button color="danger" (click)="deleteRoom(room)" class="ion-padding">
          <ion-icon name="trash-outline"></ion-icon>
          Delete
        </ion-button>
      </ion-item-options>
    </ion-item-sliding>

  </ion-list>

</ion-content>
